Update a response Updates a response in the database. This will trigger the response pipeline, including webhooks, integrations, follow-up emails (if the response is marked as finished), and other configured actions.
x-api-key <token>
Use your SurveyTale x-api-key to authenticate.
In: header
id* string
The ID of the response
Match ^[0-9a-z]+$
Format cuid2
The response fields to update
TypeScript Definitions
Use the request body type in TypeScript.
Copy
cURL
JavaScript
Go
Python
Java
C#curl -X PUT "https://example.com/management/responses/string" \ -H "Content-Type: application/json" \ -d '{}'
200
{
"id" : "string" ,
"createdAt" : "2021-01-01T00:00:00.000Z" ,
"updatedAt" : "2021-01-01T00:00:00.000Z" ,
"finished" : true ,
"surveyId" : "string" ,
"contactId" : "string" ,
"endingId" : "string" ,
"data" : {
"question1" : "answer1" ,
"question2" : 2 ,
"question3" : [
"answer3" ,
"answer4"
],
"question4" : {
"subquestion1" : "answer5"
}
},
"variables" : {
"variable1" : "answer1" ,
"variable2" : 2
},
"ttc" : {
"question1" : 10 ,
"question2" : 20
},
"meta" : {
"source" : "https://example.com" ,
"url" : "https://example.com" ,
"userAgent" : {
"browser" : "Chrome" ,
"os" : "Windows" ,
"device" : "Desktop"
},
"country" : "US" ,
"action" : "click"
},
"contactAttributes" : {
"attribute1" : "value1" ,
"attribute2" : "value2"
},
"singleUseId" : "string" ,
"language" : "en" ,
"displayId" : "string"
}